Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class EXTVertexShader

    java.lang.Object
      org.lwjgl.opengl.EXTVertexShader

    public final class EXTVertexShader

extends java.lang.Object

Field Summary
`static int` | `GL_CURRENT_VERTEX_EXT`
`static int` | `GL_FULL_RANGE_EXT`
`static int` | `GL_INVARIANT_DATATYPE_EXT`
`static int` | `GL_INVARIANT_EXT`
`static int` | `GL_INVARIANT_VALUE_EXT`
`static int` | `GL_LOCAL_CONSTANT_DATATYPE_EXT`
`static int` | `GL_LOCAL_CONSTANT_EXT`
`static int` | `GL_LOCAL_CONSTANT_VALUE_EXT`
`static int` | `GL_LOCAL_EXT`
`static int` | `GL_MATRIX_EXT`
`static int` | `GL_MAX_OPTIMIZED_VERTEX_SHADER_INSTRUCTIONS_EXT`
`static int` | `GL_MAX_OPTIMIZED_VERTEX_SHADER_INVARIANTS_EXT`
`static int` | `GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCAL_CONSTANTS_EXT`
`static int` | `GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCALS_EXT`
`static int` | `GL_MAX_OPTIMIZED_VERTEX_SHADER_VARIANTS_EXT`
`static int` | `GL_MAX_VERTEX_SHADER_INSTRUCTIONS_EXT`
`static int` | `GL_MAX_VERTEX_SHADER_INVARIANTS_EXT`
`static int` | `GL_MAX_VERTEX_SHADER_LOCAL_CONSTANTS_EXT`
`static int` | `GL_MAX_VERTEX_SHADER_LOCALS_EXT`
`static int` | `GL_MAX_VERTEX_SHADER_VARIANTS_EXT`
`static int` | `GL_MVP_MATRIX_EXT`
`static int` | `GL_NEGATIVE_ONE_EXT`
`static int` | `GL_NEGATIVE_W_EXT`
`static int` | `GL_NEGATIVE_X_EXT`
`static int` | `GL_NEGATIVE_Y_EXT`
`static int` | `GL_NEGATIVE_Z_EXT`
`static int` | `GL_NORMALIZED_RANGE_EXT`
`static int` | `GL_ONE_EXT`
`static int` | `GL_OP_ADD_EXT`
`static int` | `GL_OP_CLAMP_EXT`
`static int` | `GL_OP_CROSS_PRODUCT_EXT`
`static int` | `GL_OP_DOT3_EXT`
`static int` | `GL_OP_DOT4_EXT`
`static int` | `GL_OP_EXP_BASE_2_EXT`
`static int` | `GL_OP_FLOOR_EXT`
`static int` | `GL_OP_FRAC_EXT`
`static int` | `GL_OP_INDEX_EXT`
`static int` | `GL_OP_LOG_BASE_2_EXT`
`static int` | `GL_OP_MADD_EXT`
`static int` | `GL_OP_MAX_EXT`
`static int` | `GL_OP_MIN_EXT`
`static int` | `GL_OP_MOV_EXT`
`static int` | `GL_OP_MUL_EXT`
`static int` | `GL_OP_MULTIPLY_MATRIX_EXT`
`static int` | `GL_OP_NEGATE_EXT`
`static int` | `GL_OP_POWER_EXT`
`static int` | `GL_OP_RECIP_EXT`
`static int` | `GL_OP_RECIP_SQRT_EXT`
`static int` | `GL_OP_ROUND_EXT`
`static int` | `GL_OP_SET_GE_EXT`
`static int` | `GL_OP_SET_LT_EXT`
`static int` | `GL_OP_SUB_EXT`
`static int` | `GL_OUTPUT_COLOR0_EXT`
`static int` | `GL_OUTPUT_COLOR1_EXT`
`static int` | `GL_OUTPUT_FOG_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD0_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD1_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD10_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD11_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD12_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD13_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD14_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD15_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD16_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD17_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD18_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD19_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD2_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD20_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD21_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD22_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD23_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD24_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD25_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD26_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD27_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD28_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD29_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD3_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD30_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD31_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD4_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD5_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD6_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD7_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD8_EXT`
`static int` | `GL_OUTPUT_TEXTURE_COORD9_EXT`
`static int` | `GL_OUTPUT_VERTEX_EXT`
`static int` | `GL_SCALAR_EXT`
`static int` | `GL_VARIANT_ARRAY_EXT`
`static int` | `GL_VARIANT_ARRAY_POINTER_EXT`
`static int` | `GL_VARIANT_ARRAY_STRIDE_EXT`
`static int` | `GL_VARIANT_ARRAY_TYPE_EXT`
`static int` | `GL_VARIANT_DATATYPE_EXT`
`static int` | `GL_VARIANT_EXT`
`static int` | `GL_VARIANT_VALUE_EXT`
`static int` | `GL_VECTOR_EXT`
`static int` | `GL_VERTEX_SHADER_BINDING_EXT`
`static int` | `GL_VERTEX_SHADER_EXT`
`static int` | `GL_VERTEX_SHADER_INSTRUCTIONS_EXT`
`static int` | `GL_VERTEX_SHADER_INVARIANTS_EXT`
`static int` | `GL_VERTEX_SHADER_LOCAL_CONSTANTS_EXT`
`static int` | `GL_VERTEX_SHADER_LOCALS_EXT`
`static int` | `GL_VERTEX_SHADER_OPTIMIZED_EXT`
`static int` | `GL_VERTEX_SHADER_VARIANTS_EXT`
`static int` | `GL_W_EXT`
`static int` | `GL_X_EXT`
`static int` | `GL_Y_EXT`
`static int` | `GL_Z_EXT`
`static int` | `GL_ZERO_EXT`

Method Summary
`static void` | `glBeginVertexShaderEXT()`
`static int` | `glBindLightParameterEXT(int light, int value)`
`static int` | `glBindMaterialParameterEXT(int face, int value)`
`static int` | `glBindParameterEXT(int value)`
`static int` | `glBindTexGenParameterEXT(int unit, int coord, int value)`
`static int` | `glBindTextureUnitParameterEXT(int unit, int value)`
`static void` | `glBindVertexShaderEXT(int id)`
`static void` | `glDeleteVertexShaderEXT(int id)`
`static void` | `glDisableVariantClientStateEXT(int id)`
`static void` | `glEnableVariantClientStateEXT(int id)`
`static void` | `glEndVertexShaderEXT()`
`static void` | `glExtractComponentEXT(int res, int src, int num)`
`static int` | `glGenSymbolsEXT(int dataType, int storageType, int range, int components)`
`static int` | `glGenVertexShadersEXT(int range)`
`static void` | `glGetInvariantBooleanEXT(int id, int value, java.nio.ByteBuffer pbData)`
`static void` | `glGetInvariantFloatEXT(int id, int value, java.nio.FloatBuffer pbData)`
`static void` | `glGetInvariantIntegerEXT(int id, int value, java.nio.IntBuffer pbData)`
`static void` | `glGetLocalConstantBooleanEXT(int id, int value, java.nio.ByteBuffer pbData)`
`static void` | `glGetLocalConstantFloatEXT(int id, int value, java.nio.FloatBuffer pbData)`
`static void` | `glGetLocalConstantIntegerEXT(int id, int value, java.nio.IntBuffer pbData)`
`static void` | `glGetVariantBooleanEXT(int id, int value, java.nio.ByteBuffer pbData)`
`static void` | `glGetVariantFloatEXT(int id, int value, java.nio.FloatBuffer pbData)`
`static void` | `glGetVariantIntegerEXT(int id, int value, java.nio.IntBuffer pbData)`
`static java.nio.ByteBuffer` | `glGetVariantPointerEXT(int id, int value, long result_size)`
`static void` | `glInsertComponentEXT(int res, int src, int num)`
`static boolean` | `glIsVariantEnabledEXT(int id, int cap)`
`static void` | `glSetInvariantEXT(int id, boolean unsigned, java.nio.ByteBuffer pAddr)`
`static void` | `glSetInvariantEXT(int id, boolean unsigned, java.nio.IntBuffer pAddr)`
`static void` | `glSetInvariantEXT(int id, boolean unsigned, java.nio.ShortBuffer pAddr)`
`static void` | `glSetInvariantEXT(int id, java.nio.DoubleBuffer pAddr)`
`static void` | `glSetInvariantEXT(int id, java.nio.FloatBuffer pAddr)`
`static void` | `glSetLocalConstantEXT(int id, boolean unsigned, java.nio.ByteBuffer pAddr)`
`static void` | `glSetLocalConstantEXT(int id, boolean unsigned, java.nio.IntBuffer pAddr)`
`static void` | `glSetLocalConstantEXT(int id, boolean unsigned, java.nio.ShortBuffer pAddr)`
`static void` | `glSetLocalConstantEXT(int id, java.nio.DoubleBuffer pAddr)`
`static void` | `glSetLocalConstantEXT(int id, java.nio.FloatBuffer pAddr)`
`static void` | `glShaderOp1EXT(int op, int res, int arg1)`
`static void` | `glShaderOp2EXT(int op, int res, int arg1, int arg2)`
`static void` | `glShaderOp3EXT(int op, int res, int arg1, int arg2, int arg3)`
`static void` | `glSwizzleEXT(int res, int in, int outX, int outY, int outZ, int outW)`
`static void` | `glVariantEXT(int id, java.nio.ByteBuffer pAddr)`
`static void` | `glVariantEXT(int id, java.nio.DoubleBuffer pAddr)`
`static void` | `glVariantEXT(int id, java.nio.FloatBuffer pAddr)`
`static void` | `glVariantEXT(int id, java.nio.IntBuffer pAddr)`
`static void` | `glVariantEXT(int id, java.nio.ShortBuffer pAddr)`
`static void` | `glVariantPointerEXT(int id, boolean unsigned, int stride, java.nio.ByteBuffer pAddr)`
`static void` | `glVariantPointerEXT(int id, boolean unsigned, int stride, java.nio.IntBuffer pAddr)`
`static void` | `glVariantPointerEXT(int id, boolean unsigned, int stride, java.nio.ShortBuffer pAddr)`
`static void` | `glVariantPointerEXT(int id, int stride, java.nio.DoubleBuffer pAddr)`
`static void` | `glVariantPointerEXT(int id, int stride, java.nio.FloatBuffer pAddr)`
`static void` | `glVariantPointerEXT(int id, int type, int stride, long pAddr_buffer_offset)`
`static void` | `glVariantuEXT(int id, java.nio.ByteBuffer pAddr)`
`static void` | `glVariantuEXT(int id, java.nio.IntBuffer pAddr)`
`static void` | `glVariantuEXT(int id, java.nio.ShortBuffer pAddr)`
`static void` | `glWriteMaskEXT(int res, int in, int outX, int outY, int outZ, int outW)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_VERTEX_SHADER_EXT

    public static final int GL_VERTEX_SHADER_EXT

See Also:
  Constant Field Values

### GL_VERTEX_SHADER_BINDING_EXT

    public static final int GL_VERTEX_SHADER_BINDING_EXT

See Also:
  Constant Field Values

### GL_OP_INDEX_EXT

    public static final int GL_OP_INDEX_EXT

See Also:
  Constant Field Values

### GL_OP_NEGATE_EXT

    public static final int GL_OP_NEGATE_EXT

See Also:
  Constant Field Values

### GL_OP_DOT3_EXT

    public static final int GL_OP_DOT3_EXT

See Also:
  Constant Field Values

### GL_OP_DOT4_EXT

    public static final int GL_OP_DOT4_EXT

See Also:
  Constant Field Values

### GL_OP_MUL_EXT

    public static final int GL_OP_MUL_EXT

See Also:
  Constant Field Values

### GL_OP_ADD_EXT

    public static final int GL_OP_ADD_EXT

See Also:
  Constant Field Values

### GL_OP_MADD_EXT

    public static final int GL_OP_MADD_EXT

See Also:
  Constant Field Values

### GL_OP_FRAC_EXT

    public static final int GL_OP_FRAC_EXT

See Also:
  Constant Field Values

### GL_OP_MAX_EXT

    public static final int GL_OP_MAX_EXT

See Also:
  Constant Field Values

### GL_OP_MIN_EXT

    public static final int GL_OP_MIN_EXT

See Also:
  Constant Field Values

### GL_OP_SET_GE_EXT

    public static final int GL_OP_SET_GE_EXT

See Also:
  Constant Field Values

### GL_OP_SET_LT_EXT

    public static final int GL_OP_SET_LT_EXT

See Also:
  Constant Field Values

### GL_OP_CLAMP_EXT

    public static final int GL_OP_CLAMP_EXT

See Also:
  Constant Field Values

### GL_OP_FLOOR_EXT

    public static final int GL_OP_FLOOR_EXT

See Also:
  Constant Field Values

### GL_OP_ROUND_EXT

    public static final int GL_OP_ROUND_EXT

See Also:
  Constant Field Values

### GL_OP_EXP_BASE_2_EXT

    public static final int GL_OP_EXP_BASE_2_EXT

See Also:
  Constant Field Values

### GL_OP_LOG_BASE_2_EXT

    public static final int GL_OP_LOG_BASE_2_EXT

See Also:
  Constant Field Values

### GL_OP_POWER_EXT

    public static final int GL_OP_POWER_EXT

See Also:
  Constant Field Values

### GL_OP_RECIP_EXT

    public static final int GL_OP_RECIP_EXT

See Also:
  Constant Field Values

### GL_OP_RECIP_SQRT_EXT

    public static final int GL_OP_RECIP_SQRT_EXT

See Also:
  Constant Field Values

### GL_OP_SUB_EXT

    public static final int GL_OP_SUB_EXT

See Also:
  Constant Field Values

### GL_OP_CROSS_PRODUCT_EXT

    public static final int GL_OP_CROSS_PRODUCT_EXT

See Also:
  Constant Field Values

### GL_OP_MULTIPLY_MATRIX_EXT

    public static final int GL_OP_MULTIPLY_MATRIX_EXT

See Also:
  Constant Field Values

### GL_OP_MOV_EXT

    public static final int GL_OP_MOV_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_VERTEX_EXT

    public static final int GL_OUTPUT_VERTEX_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_COLOR0_EXT

    public static final int GL_OUTPUT_COLOR0_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_COLOR1_EXT

    public static final int GL_OUTPUT_COLOR1_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD0_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD0_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD1_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD1_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD2_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD2_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD3_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD3_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD4_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD4_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD5_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD5_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD6_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD6_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD7_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD7_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD8_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD8_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD9_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD9_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD10_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD10_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD11_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD11_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD12_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD12_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD13_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD13_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD14_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD14_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD15_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD15_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD16_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD16_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD17_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD17_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD18_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD18_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD19_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD19_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD20_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD20_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD21_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD21_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD22_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD22_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD23_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD23_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD24_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD24_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD25_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD25_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD26_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD26_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD27_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD27_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD28_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD28_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD29_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD29_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD30_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD30_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_TEXTURE_COORD31_EXT

    public static final int GL_OUTPUT_TEXTURE_COORD31_EXT

See Also:
  Constant Field Values

### GL_OUTPUT_FOG_EXT

    public static final int GL_OUTPUT_FOG_EXT

See Also:
  Constant Field Values

### GL_SCALAR_EXT

    public static final int GL_SCALAR_EXT

See Also:
  Constant Field Values

### GL_VECTOR_EXT

    public static final int GL_VECTOR_EXT

See Also:
  Constant Field Values

### GL_MATRIX_EXT

    public static final int GL_MATRIX_EXT

See Also:
  Constant Field Values

### GL_VARIANT_EXT

    public static final int GL_VARIANT_EXT

See Also:
  Constant Field Values

### GL_INVARIANT_EXT

    public static final int GL_INVARIANT_EXT

See Also:
  Constant Field Values

### GL_LOCAL_CONSTANT_EXT

    public static final int GL_LOCAL_CONSTANT_EXT

See Also:
  Constant Field Values

### GL_LOCAL_EXT

    public static final int GL_LOCAL_EXT

See Also:
  Constant Field Values

### GL_MAX_VERTEX_SHADER_INSTRUCTIONS_EXT

    public static final int GL_MAX_VERTEX_SHADER_INSTRUCTIONS_EXT

See Also:
  Constant Field Values

### GL_MAX_VERTEX_SHADER_VARIANTS_EXT

    public static final int GL_MAX_VERTEX_SHADER_VARIANTS_EXT

See Also:
  Constant Field Values

### GL_MAX_VERTEX_SHADER_INVARIANTS_EXT

    public static final int GL_MAX_VERTEX_SHADER_INVARIANTS_EXT

See Also:
  Constant Field Values

### GL_MAX_VERTEX_SHADER_LOCAL_CONSTANTS_EXT

    public static final int GL_MAX_VERTEX_SHADER_LOCAL_CONSTANTS_EXT

See Also:
  Constant Field Values

### GL_MAX_VERTEX_SHADER_LOCALS_EXT

    public static final int GL_MAX_VERTEX_SHADER_LOCALS_EXT

See Also:
  Constant Field Values

### GL_MAX_OPTIMIZED_VERTEX_SHADER_INSTRUCTIONS_EXT

    public static final int GL_MAX_OPTIMIZED_VERTEX_SHADER_INSTRUCTIONS_EXT

See Also:
  Constant Field Values

### GL_MAX_OPTIMIZED_VERTEX_SHADER_VARIANTS_EXT

    public static final int GL_MAX_OPTIMIZED_VERTEX_SHADER_VARIANTS_EXT

See Also:
  Constant Field Values

### GL_MAX_OPTIMIZED_VERTEX_SHADER_INVARIANTS_EXT

    public static final int GL_MAX_OPTIMIZED_VERTEX_SHADER_INVARIANTS_EXT

See Also:
  Constant Field Values

### GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCAL_CONSTANTS_EXT

    public static final int GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCAL_CONSTANTS_EXT

See Also:
  Constant Field Values

### GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCALS_EXT

    public static final int GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCALS_EXT

See Also:
  Constant Field Values

### GL_VERTEX_SHADER_INSTRUCTIONS_EXT

    public static final int GL_VERTEX_SHADER_INSTRUCTIONS_EXT

See Also:
  Constant Field Values

### GL_VERTEX_SHADER_VARIANTS_EXT

    public static final int GL_VERTEX_SHADER_VARIANTS_EXT

See Also:
  Constant Field Values

### GL_VERTEX_SHADER_INVARIANTS_EXT

    public static final int GL_VERTEX_SHADER_INVARIANTS_EXT

See Also:
  Constant Field Values

### GL_VERTEX_SHADER_LOCAL_CONSTANTS_EXT

    public static final int GL_VERTEX_SHADER_LOCAL_CONSTANTS_EXT

See Also:
  Constant Field Values

### GL_VERTEX_SHADER_LOCALS_EXT

    public static final int GL_VERTEX_SHADER_LOCALS_EXT

See Also:
  Constant Field Values

### GL_VERTEX_SHADER_OPTIMIZED_EXT

    public static final int GL_VERTEX_SHADER_OPTIMIZED_EXT

See Also:
  Constant Field Values

### GL_X_EXT

    public static final int GL_X_EXT

See Also:
  Constant Field Values

### GL_Y_EXT

    public static final int GL_Y_EXT

See Also:
  Constant Field Values

### GL_Z_EXT

    public static final int GL_Z_EXT

See Also:
  Constant Field Values

### GL_W_EXT

    public static final int GL_W_EXT

See Also:
  Constant Field Values

### GL_NEGATIVE_X_EXT

    public static final int GL_NEGATIVE_X_EXT

See Also:
  Constant Field Values

### GL_NEGATIVE_Y_EXT

    public static final int GL_NEGATIVE_Y_EXT

See Also:
  Constant Field Values

### GL_NEGATIVE_Z_EXT

    public static final int GL_NEGATIVE_Z_EXT

See Also:
  Constant Field Values

### GL_NEGATIVE_W_EXT

    public static final int GL_NEGATIVE_W_EXT

See Also:
  Constant Field Values

### GL_ZERO_EXT

    public static final int GL_ZERO_EXT

See Also:
  Constant Field Values

### GL_ONE_EXT

    public static final int GL_ONE_EXT

See Also:
  Constant Field Values

### GL_NEGATIVE_ONE_EXT

    public static final int GL_NEGATIVE_ONE_EXT

See Also:
  Constant Field Values

### GL_NORMALIZED_RANGE_EXT

    public static final int GL_NORMALIZED_RANGE_EXT

See Also:
  Constant Field Values

### GL_FULL_RANGE_EXT

    public static final int GL_FULL_RANGE_EXT

See Also:
  Constant Field Values

### GL_CURRENT_VERTEX_EXT

    public static final int GL_CURRENT_VERTEX_EXT

See Also:
  Constant Field Values

### GL_MVP_MATRIX_EXT

    public static final int GL_MVP_MATRIX_EXT

See Also:
  Constant Field Values

### GL_VARIANT_VALUE_EXT

    public static final int GL_VARIANT_VALUE_EXT

See Also:
  Constant Field Values

### GL_VARIANT_DATATYPE_EXT

    public static final int GL_VARIANT_DATATYPE_EXT

See Also:
  Constant Field Values

### GL_VARIANT_ARRAY_STRIDE_EXT

    public static final int GL_VARIANT_ARRAY_STRIDE_EXT

See Also:
  Constant Field Values

### GL_VARIANT_ARRAY_TYPE_EXT

    public static final int GL_VARIANT_ARRAY_TYPE_EXT

See Also:
  Constant Field Values

### GL_VARIANT_ARRAY_EXT

    public static final int GL_VARIANT_ARRAY_EXT

See Also:
  Constant Field Values

### GL_VARIANT_ARRAY_POINTER_EXT

    public static final int GL_VARIANT_ARRAY_POINTER_EXT

See Also:
  Constant Field Values

### GL_INVARIANT_VALUE_EXT

    public static final int GL_INVARIANT_VALUE_EXT

See Also:
  Constant Field Values

### GL_INVARIANT_DATATYPE_EXT

    public static final int GL_INVARIANT_DATATYPE_EXT

See Also:
  Constant Field Values

### GL_LOCAL_CONSTANT_VALUE_EXT

    public static final int GL_LOCAL_CONSTANT_VALUE_EXT

See Also:
  Constant Field Values

### GL_LOCAL_CONSTANT_DATATYPE_EXT

    public static final int GL_LOCAL_CONSTANT_DATATYPE_EXT

See Also:
  Constant Field Values

Method Detail

### glBeginVertexShaderEXT

    public static void glBeginVertexShaderEXT()

### glEndVertexShaderEXT

    public static void glEndVertexShaderEXT()

### glBindVertexShaderEXT

    public static void glBindVertexShaderEXT(int id)

### glGenVertexShadersEXT

    public static int glGenVertexShadersEXT(int range)

### glDeleteVertexShaderEXT

    public static void glDeleteVertexShaderEXT(int id)

### glShaderOp1EXT

    public static void glShaderOp1EXT(int op,
                                      int res,
                                      int arg1)

### glShaderOp2EXT

    public static void glShaderOp2EXT(int op,
                                      int res,
                                      int arg1,
                                      int arg2)

### glShaderOp3EXT

    public static void glShaderOp3EXT(int op,
                                      int res,
                                      int arg1,
                                      int arg2,
                                      int arg3)

### glSwizzleEXT

    public static void glSwizzleEXT(int res,
                                    int in,
                                    int outX,
                                    int outY,
                                    int outZ,
                                    int outW)

### glWriteMaskEXT

    public static void glWriteMaskEXT(int res,
                                      int in,
                                      int outX,
                                      int outY,
                                      int outZ,
                                      int outW)

### glInsertComponentEXT

    public static void glInsertComponentEXT(int res,
                                            int src,
                                            int num)

### glExtractComponentEXT

    public static void glExtractComponentEXT(int res,
                                             int src,
                                             int num)

### glGenSymbolsEXT

    public static int glGenSymbolsEXT(int dataType,
                                      int storageType,
                                      int range,
                                      int components)

### glSetInvariantEXT

    public static void glSetInvariantEXT(int id,
                                         java.nio.DoubleBuffer pAddr)

### glSetInvariantEXT

    public static void glSetInvariantEXT(int id,
                                         java.nio.FloatBuffer pAddr)

### glSetInvariantEXT

    public static void glSetInvariantEXT(int id,
                                         boolean unsigned,
                                         java.nio.ByteBuffer pAddr)

### glSetInvariantEXT

    public static void glSetInvariantEXT(int id,
                                         boolean unsigned,
                                         java.nio.IntBuffer pAddr)

### glSetInvariantEXT

    public static void glSetInvariantEXT(int id,
                                         boolean unsigned,
                                         java.nio.ShortBuffer pAddr)

### glSetLocalConstantEXT

    public static void glSetLocalConstantEXT(int id,
                                             java.nio.DoubleBuffer pAddr)

### glSetLocalConstantEXT

    public static void glSetLocalConstantEXT(int id,
                                             java.nio.FloatBuffer pAddr)

### glSetLocalConstantEXT

    public static void glSetLocalConstantEXT(int id,
                                             boolean unsigned,
                                             java.nio.ByteBuffer pAddr)

### glSetLocalConstantEXT

    public static void glSetLocalConstantEXT(int id,
                                             boolean unsigned,
                                             java.nio.IntBuffer pAddr)

### glSetLocalConstantEXT

    public static void glSetLocalConstantEXT(int id,
                                             boolean unsigned,
                                             java.nio.ShortBuffer pAddr)

### glVariantEXT

    public static void glVariantEXT(int id,
                                    java.nio.ByteBuffer pAddr)

### glVariantEXT

    public static void glVariantEXT(int id,
                                    java.nio.ShortBuffer pAddr)

### glVariantEXT

    public static void glVariantEXT(int id,
                                    java.nio.IntBuffer pAddr)

### glVariantEXT

    public static void glVariantEXT(int id,
                                    java.nio.FloatBuffer pAddr)

### glVariantEXT

    public static void glVariantEXT(int id,
                                    java.nio.DoubleBuffer pAddr)

### glVariantuEXT

    public static void glVariantuEXT(int id,
                                     java.nio.ByteBuffer pAddr)

### glVariantuEXT

    public static void glVariantuEXT(int id,
                                     java.nio.ShortBuffer pAddr)

### glVariantuEXT

    public static void glVariantuEXT(int id,
                                     java.nio.IntBuffer pAddr)

### glVariantPointerEXT

    public static void glVariantPointerEXT(int id,
                                           int stride,
                                           java.nio.DoubleBuffer pAddr)

### glVariantPointerEXT

    public static void glVariantPointerEXT(int id,
                                           int stride,
                                           java.nio.FloatBuffer pAddr)

### glVariantPointerEXT

    public static void glVariantPointerEXT(int id,
                                           boolean unsigned,
                                           int stride,
                                           java.nio.ByteBuffer pAddr)

### glVariantPointerEXT

    public static void glVariantPointerEXT(int id,
                                           boolean unsigned,
                                           int stride,
                                           java.nio.IntBuffer pAddr)

### glVariantPointerEXT

    public static void glVariantPointerEXT(int id,
                                           boolean unsigned,
                                           int stride,
                                           java.nio.ShortBuffer pAddr)

### glVariantPointerEXT

    public static void glVariantPointerEXT(int id,
                                           int type,
                                           int stride,
                                           long pAddr_buffer_offset)

### glEnableVariantClientStateEXT

    public static void glEnableVariantClientStateEXT(int id)

### glDisableVariantClientStateEXT

    public static void glDisableVariantClientStateEXT(int id)

### glBindLightParameterEXT

    public static int glBindLightParameterEXT(int light,
                                              int value)

### glBindMaterialParameterEXT

    public static int glBindMaterialParameterEXT(int face,
                                                 int value)

### glBindTexGenParameterEXT

    public static int glBindTexGenParameterEXT(int unit,
                                               int coord,
                                               int value)

### glBindTextureUnitParameterEXT

    public static int glBindTextureUnitParameterEXT(int unit,
                                                    int value)

### glBindParameterEXT

    public static int glBindParameterEXT(int value)

### glIsVariantEnabledEXT

    public static boolean glIsVariantEnabledEXT(int id,
                                                int cap)

### glGetVariantBooleanEXT

    public static void glGetVariantBooleanEXT(int id,
                                              int value,
                                              java.nio.ByteBuffer pbData)

### glGetVariantIntegerEXT

    public static void glGetVariantIntegerEXT(int id,
                                              int value,
                                              java.nio.IntBuffer pbData)

### glGetVariantFloatEXT

    public static void glGetVariantFloatEXT(int id,
                                            int value,
                                            java.nio.FloatBuffer pbData)

### glGetVariantPointerEXT

    public static java.nio.ByteBuffer glGetVariantPointerEXT(int id,
                                                             int value,
                                                             long result_size)

### glGetInvariantBooleanEXT

    public static void glGetInvariantBooleanEXT(int id,
                                                int value,
                                                java.nio.ByteBuffer pbData)

### glGetInvariantIntegerEXT

    public static void glGetInvariantIntegerEXT(int id,
                                                int value,
                                                java.nio.IntBuffer pbData)

### glGetInvariantFloatEXT

    public static void glGetInvariantFloatEXT(int id,
                                              int value,
                                              java.nio.FloatBuffer pbData)

### glGetLocalConstantBooleanEXT

    public static void glGetLocalConstantBooleanEXT(int id,
                                                    int value,
                                                    java.nio.ByteBuffer pbData)

### glGetLocalConstantIntegerEXT

    public static void glGetLocalConstantIntegerEXT(int id,
                                                    int value,
                                                    java.nio.IntBuffer pbData)

### glGetLocalConstantFloatEXT

    public static void glGetLocalConstantFloatEXT(int id,
                                                  int value,
                                                  java.nio.FloatBuffer pbData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.